Mandrake Linux Security Advisory : zlib (MDKSA-2005:124)

This script is Copyright (C) 2005-2014 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

A previous zlib update (MDKSA-2005:112; CVE-2005-2096) fixed an
overflow flaw in the zlib program. While that update did indeed fix
the reported overflow issue, Markus Oberhumber discovered additional
ways that a specially crafted compressed stream could trigger an
overflow. An attacker could create such a stream that would cause a
linked application to crash if opened by a user.

The updated packages are provided to protect against this flaw. The
Corporate Server 2.1 product is not affected by this vulnerability.

Solution :

Update the affected zlib1 and / or zlib1-devel packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 19885 (mandrake_MDKSA-2005-124.nasl)

Bugtraq ID:

CVE ID: CVE-2005-1849

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now